Bug 39652 - Problems with the App Center search
Problems with the App Center search
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Johannes Keiser
Alexander Kläser
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 17:32 CET by Alexander Kläser
Modified: 2015-11-17 12:12 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-10-28 17:32:49 CET
In the current 4.1 version, the App Center search does not work as expected. The search text should be reset when changing a category, or when selecting a category on the detail page of an app. We received some feedback with problems when selecting the categories "Installed" or "Available" resulting in an empty list (maybe if no app has been installed?).
Comment 1 Johannes Keiser univentionstaff 2015-10-29 16:24:14 CET
r 64981

univention-appcenter (5.0.13-1):
* Bug #39652: Search text now resets when switching categories

Version: 5.0.13-1.34.201510291619
Comment 2 Johannes Keiser univentionstaff 2015-10-29 16:31:07 CET
(In reply to Alexander Kläser from comment #0)
>...
> We received some feedback with
> problems when selecting the categories "Installed" or "Available" resulting
> in an empty list (maybe if no app has been installed?).

If you select the 'Installed' category and there are no installed apps the list is indeed empty. A message could be shown (e.g. "There are no installed apps in the domain") or the category is not available until the first app is installed.

I have not noticed any problems with the "Available" category being empty unless the search pattern does not match any available app.
Comment 3 Johannes Keiser univentionstaff 2015-10-30 11:58:28 CET
(In reply to Johannes Keiser from comment #2)
> (In reply to Alexander Kläser from comment #0)
> >...
> > We received some feedback with
> > problems when selecting the categories "Installed" or "Available" resulting
> > in an empty list (maybe if no app has been installed?).
> 
> If you select the 'Installed' category and there are no installed apps the
> list is indeed empty. A message could be shown (e.g. "There are no installed
> apps in the domain") or the category is not available until the first app is
> installed.
> 
> I have not noticed any problems with the "Available" category being empty
> unless the search pattern does not match any available app.

This is part of Bug 39033.
Comment 4 Alexander Kläser univentionstaff 2015-11-10 14:26:47 CET
Changes: OK, works fine
Changelog: FAIL → just add the Bug number to the generic App Center entry
Comment 5 Johannes Keiser univentionstaff 2015-11-10 17:08:44 CET
r 65386
added changelog entry
Comment 6 Alexander Kläser univentionstaff 2015-11-11 12:43:36 CET
(In reply to Johannes Keiser from comment #5)
> r 65386
> added changelog entry

OK.
Comment 7 Stefan Gohmann univentionstaff 2015-11-17 12:12:38 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".